clan::Vec2hf Class Reference - ClanLib SDK
Description: clan::Vec2hf Class Reference

Public Member Functions | Public Attributes | List of all members
clan::Vec2hf Class Reference
clanCore Math

2D half-float vector More...

`#include <half_float_vector.h>`

## Public Member Functions
| Vec2hf ()
| Vec2hf (const HalfFloat &p1, const HalfFloat &p2)
| Vec2hf (const HalfFloat &scalar)
| Vec2hf (const HalfFloat *array_xy)
| Vec2hf (const Pointx< double > &point)
| Vec2hf (const Pointx< float > &point)
| Vec2hf (const Pointx< int > &point)
| Vec2hf (const Vec2d &copy)
| Vec2hf (const Vec2f &copy)
| Vec2hf (const Vec2hf &copy)
| Vec2hf (const Vec2i &copy)
| Vec2hf (const Vec3f &copy)
| Vec2hf (const Vec3hf &copy)
| Vec2hf (const Vec4f &copy)
| Vec2hf (const Vec4hf &copy)
| Vec2hf (float *array_xy)
| Vec2hf (float p1, float p2)
| Vec2hf (float scalar)
| operator Vec2f () const
Vec2f | to_float () const

## Public Attributes
HalfFloat | x
HalfFloat | y

## Detailed Description

2D half-float vector

## Constructor & Destructor Documentation

## ◆ Vec2hf() [1/16]

clan::Vec2hf::Vec2hf | ( |  | ) |
| inline

References x, and y.

Referenced by Vec2hf().

## ◆ Vec2hf() [2/16]

clan::Vec2hf::Vec2hf | ( | const HalfFloat & | scalar | ) |
| inlineexplicit

References x, and y.

## ◆ Vec2hf() [3/16]

clan::Vec2hf::Vec2hf | ( | const HalfFloat & | p1,
|  | const HalfFloat & | p2 )
| inlineexplicit

References x, and y.

## ◆ Vec2hf() [4/16]

clan::Vec2hf::Vec2hf | ( | const HalfFloat * | array_xy | ) |
| inlineexplicit

References x, and y.

## ◆ Vec2hf() [5/16]

clan::Vec2hf::Vec2hf | ( | float | scalar | ) |
| inlineexplicit

References x, and y.

## ◆ Vec2hf() [6/16]

clan::Vec2hf::Vec2hf | ( | const Vec3f & | copy | ) |
| inlineexplicit

References x, and y.

## ◆ Vec2hf() [7/16]

clan::Vec2hf::Vec2hf | ( | const Vec4f & | copy | ) |
| inlineexplicit

References x, and y.

## ◆ Vec2hf() [8/16]

clan::Vec2hf::Vec2hf | ( | float | p1,
|  | float | p2 )
| inlineexplicit

References x, and y.

## ◆ Vec2hf() [9/16]

clan::Vec2hf::Vec2hf | ( | float * | array_xy | ) |
| inlineexplicit

References x, and y.

## ◆ Vec2hf() [10/16]

clan::Vec2hf::Vec2hf | ( | const Pointx< int > & | point | ) |
| inlineexplicit

References x, and y.

## ◆ Vec2hf() [11/16]

clan::Vec2hf::Vec2hf | ( | const Pointx< float > & | point | ) |
| inlineexplicit

References x, and y.

## ◆ Vec2hf() [12/16]

clan::Vec2hf::Vec2hf | ( | const Pointx< double > & | point | ) |
| inlineexplicit

References x, and y.

## ◆ Vec2hf() [13/16]

clan::Vec2hf::Vec2hf | ( | const Vec2hf & | copy | ) |
| inline

References Vec2hf(), x, and y.

## ◆ Vec2hf() [14/16]

clan::Vec2hf::Vec2hf | ( | const Vec2d & | copy | ) |
| inline

References x, and y.

## ◆ Vec2hf() [15/16]

clan::Vec2hf::Vec2hf | ( | const Vec2f & | copy | ) |
| inline

References x, and y.

## ◆ Vec2hf() [16/16]

clan::Vec2hf::Vec2hf | ( | const Vec2i & | copy | ) |
| inline

References x, and y.

## Member Function Documentation

## ◆ operator Vec2f()

clan::Vec2hf::operator Vec2f | ( |  | ) | const
| inline

References to_float().

## ◆ to_float()

Vec2f clan::Vec2hf::to_float | ( |  | ) | const
| inline

References x, and y.

Referenced by operator Vec2f().

## Member Data Documentation

## ◆ x

HalfFloat clan::Vec2hf::x

Referenced by Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), and to_float().

## ◆ y

HalfFloat clan::Vec2hf::y

Referenced by Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), Vec2hf(), and to_float().

The documentation for this class was generated from the following file:

- half_float_vector.h